/*
 * File:   Optical Flow Segmentation Dialog
 * Author: Fabiola Pacheco
 * 
 * Created on 10/05/2017
 * Last modification on 10/05/2017
 */
#include "ofsegwidget.h"
#include "ui_ofsegwidget.h"

OFsegWidget::OFsegWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::OFsegWidget)
{
    ui->setupUi(this);
}

OFsegWidget::~OFsegWidget()
{
    delete ui;
}

void OFsegWidget::saveBtnClick(){
  OpticalFlowWidget->segmentedPoints(true);
  //close ui
  this->close();  
}

void OFsegWidget::againBtnClick(){
  OpticalFlowWidget->segmentedPoints(false);
  //close ui
  this->close();
}

void OFsegWidget::exitBtnClick(){
  OpticalFlowWidget->clearSegmentation();
  //close ui
  this->close();
}

void OFsegWidget::setOpticalFlowWidget
  (OpticalFlowWidgetType * opticalflowwidget){
    this->OpticalFlowWidget = opticalflowwidget;
}