/*
 * File:   Optical Flow Segmentation Dialog
 * Author: Fabiola Pacheco
 * 
 * Created on 10/05/2017
 * Last modification on 10/05/2017
 */
#ifndef OFSEGWIDGET_H
#define OFSEGWIDGET_H

#include <QWidget>
#include "opticalflowwidget.h"

namespace Ui {
class OFsegWidget;
}

class OFsegWidget : public QWidget
{
    Q_OBJECT

public:
    explicit OFsegWidget(QWidget *parent = 0);
    ~OFsegWidget();

  typedef class OpticalFlowWidget OpticalFlowWidgetType ;

  void setOpticalFlowWidget
	  (OpticalFlowWidgetType * opticalflowwidget);

private:
    Ui::OFsegWidget *ui;

  /*
  MainWindow object
  */
  OpticalFlowWidgetType * OpticalFlowWidget;


private slots:
  void saveBtnClick();

  void againBtnClick();

  void exitBtnClick();
};

#endif // OFSEGWIDGET_H
